%define anolis_release 1

%global pypi_name requests-unixsocket

Summary:       Use requests to talk HTTP via a UNIX domain socket
Name:          python-%{pypi_name}
Version:       0.2.0
Release:       %{anolis_release}%{?dist}
License:       ASL 2.0
URL:           https://github.com/msabramo/requests-unixsocket
Source0:       https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:     noarch
 
%description
Use requests to talk HTTP via a UNIX domain socket.

%package -n python3-%{pypi_name}
Summary:       Use requests to talk HTTP via a UNIX domain socket
BuildRequires: python3-devel
BuildRequires: python3dist(setuptools), python3dist(pbr), python3dist(pytest)
BuildRequires: python3dist(requests), python3dist(urllib3), python3dist(waitress)

%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(requests)

%description -n python3-%{pypi_name}
Use requests to talk HTTP via a UNIX domain socket.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove shebangs
sed -i '1d' requests_unixsocket/tests/test_requests_unixsocket.py
sed -i '1d' setup.py

# Remove pytest-pep8 invocation.
rm pytest.ini
sed -i '/pytest-pep8/d' test-requirements.txt
# pytest-capturelog isn't actually used, removing it.
sed -i '/pytest-capturelog/d' test-requirements.txt

%build
%py3_build

%install
%py3_install


%check
%{__python3} -m pytest -v

%files -n python3-%{pypi_name} 
%doc README.rst
%license LICENSE
%{python3_sitelib}/requests_unixsocket
%{python3_sitelib}/requests_unixsocket-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Apr 20 2023 DengXiewei <dengxiewei@linux.alibaba.com> - 0.2.0-1
- Initial package from upstream

